Skip to main content
POST
/
detection
/
stats
/
chat-ops
Get detection chat ops statistics
curl --request POST \
  --url https://api.wirespeed.co/detection/stats/chat-ops \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>",
  "days": 123
}
'
[
  {
    "date": "<string>",
    "totalChatOps": 123,
    "successfulChatOps": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string

Start date (inclusive, ISO8601 string)

endDate
string

End date (inclusive, ISO8601 string)

days
number

Number of days for time-based filtering (1-365). Required by most endpoints unless startDate/endDate provided.

Response

Returns chat ops statistics

date
string
required

Date in ISO format

totalChatOps
number
required

Total number of chat ops for the day

successfulChatOps
number
required

Number of successful chat ops for the day